Bug 2117256 - Obsolete packages that used to require Python 3.10 but are gone in Fedora 37
Summary: Obsolete packages that used to require Python 3.10 but are gone in Fedora 37
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-obsolete-packages
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hrnčiar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 2087097 2118770 2129138 (view as bug list)
Depends On:
Blocks: F37FinalFreezeException, FinalFreezeException PYTHON3.11 2119846
TreeView+ depends on / blocked
 
Reported: 2022-08-10 12:36 UTC by Miro Hrončok
Modified: 2022-09-26 16:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2022-08-10 12:36:07 UTC
Packages that required Python 3.10 in Fedora 35 or 36 and are gone (retired, removed subpackages) from Fedora 37 must be obsoleted, or else they have broken dependencies (e.g. on python(abi) = 3.10 or python3.10dist(...)) and block the upgrade path to Fedora 37.

We'll use this bug to track this.


We can do this in batches to unblock rawhide users but most importantly we need to do this:

- right after entering beta freeze (with a freeze exception)
- right after entering final freeze (with a freeze exception)

We need to do it after the freezes start to include packages removed right before it started.

We'll need to repeat this later for Fedora 38 milestones as well.

See also bz1980460 (same bug for Python 3.9 packages removed from Fedora 35).
See also bz1856098 (same bug for Python 3.8 packages removed from Fedora 33).
See also bz1754151 (same bug for Python 3.7 packages removed from Fedora 32).

Comment 1 Miro Hrončok 2022-08-15 13:18:05 UTC
*** Bug 2087097 has been marked as a duplicate of this bug. ***

Comment 3 Miro Hrončok 2022-08-16 15:04:07 UTC
First batch landed in fedora-obsolete-packages-38-1 and fedora-obsolete-packages-37-4.

Comment 4 Miro Hrončok 2022-08-16 20:33:31 UTC
*** Bug 2118770 has been marked as a duplicate of this bug. ***

Comment 5 Chris Murphy 2022-08-19 15:47:36 UTC
This is still preventing upgrades, whether or not I use --skip-broken

Error: 
 Problem: package python3-cchardet-2.1.7-5.fc36.x86_64 requires python(abi) = 3.10, but none of the providers can be installed
  - python3-3.10.6-1.fc36.x86_64 does not belong to a distupgrade repository
  - problem with installed package python3-cchardet-2.1.7-5.fc36.x86_64

Comment 6 Miro Hrončok 2022-08-19 15:53:03 UTC
Yes. python-cchardet was retired after the first batch and will be included in the next batch that is planned right after the beta freeze when the list of retired packages stabilizes for a while.

Comment 7 Adam Williamson 2022-08-22 17:04:41 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/847 , marking accepted.

Comment 8 Tomáš Hrnčiar 2022-08-24 08:18:14 UTC
Second batch: https://src.fedoraproject.org/rpms/fedora-obsolete-packages/pull-request/52

python-cchardet is included.

Comment 9 Fedora Update System 2022-08-24 09:32:46 UTC
FEDORA-2022-d0d3faf34d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d0d3faf34d

Comment 10 Fedora Update System 2022-08-24 18:44:51 UTC
FEDORA-2022-d0d3faf34d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d0d3faf34d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d0d3faf34d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-08-27 00:24:38 UTC
FEDORA-2022-d0d3faf34d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Geoffrey Marr 2022-09-19 18:21:29 UTC
Discussed during the 2022-09-19 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-09-19/f37-blocker-review.2022-09-19-16.00.txt

Comment 13 Miro Hrončok 2022-09-22 16:49:04 UTC
*** Bug 2129138 has been marked as a duplicate of this bug. ***

Comment 14 Miro Hrončok 2022-09-22 16:51:52 UTC
Let's do another batch before the freeze? People are reporting breakages here and there.

Comment 15 Miro Hrončok 2022-09-26 16:28:24 UTC
(In reply to Miro Hrončok from comment #14)
> Let's do another batch before the freeze? People are reporting breakages
> here and there.

https://bodhi.fedoraproject.org/updates/FEDORA-2022-6fbc050c73

I've deliberately not marked that update as closing this BZ, will do that after the freeze.


Note You need to log in before you can comment on or make changes to this bug.